#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    char string_eq_const_0_0[8] = { 0 };
    char string_eq_const_1_0[7] = { 0 };
    char string_eq_const_2_0[4] = { 0 };
    char string_eq_const_3_0[8] = { 0 };
    char string_eq_const_4_0[7] = { 0 };
    char string_eq_const_5_0[4] = { 0 };
    char string_eq_const_6_0[3] = { 0 };
    char string_eq_const_7_0[7] = { 0 };
    char string_eq_const_8_0[4] = { 0 };
    char string_eq_const_9_0[6] = { 0 };
    char string_eq_const_10_0[3] = { 0 };
    char string_eq_const_11_0[4] = { 0 };
    char string_eq_const_12_0[4] = { 0 };
    char string_eq_const_13_0[3] = { 0 };
    char string_eq_const_14_0[4] = { 0 };
    char string_eq_const_15_0[7] = { 0 };
    char string_eq_const_16_0[8] = { 0 };
    char string_eq_const_17_0[4] = { 0 };
    char string_eq_const_18_0[4] = { 0 };
    char string_eq_const_19_0[8] = { 0 };
    char string_eq_const_20_0[3] = { 0 };
    char string_eq_const_21_0[7] = { 0 };
    char string_eq_const_22_0[4] = { 0 };
    char string_eq_const_23_0[4] = { 0 };
    char string_eq_const_24_0[3] = { 0 };
    char string_eq_const_25_0[3] = { 0 };
    char string_eq_const_26_0[6] = { 0 };
    char string_eq_const_27_0[6] = { 0 };
    char string_eq_const_28_0[5] = { 0 };
    char string_eq_const_29_0[3] = { 0 };
    char string_eq_const_30_0[5] = { 0 };
    char string_eq_const_31_0[5] = { 0 };
    char string_eq_const_32_0[6] = { 0 };
    char string_eq_const_33_0[4] = { 0 };
    char string_eq_const_34_0[6] = { 0 };
    char string_eq_const_35_0[4] = { 0 };
    char string_eq_const_36_0[6] = { 0 };
    char string_eq_const_37_0[5] = { 0 };
    char string_eq_const_38_0[8] = { 0 };
    char string_eq_const_39_0[7] = { 0 };
    char string_eq_const_40_0[3] = { 0 };
    char string_eq_const_41_0[7] = { 0 };
    char string_eq_const_42_0[4] = { 0 };
    char string_eq_const_43_0[7] = { 0 };
    char string_eq_const_44_0[3] = { 0 };
    char string_eq_const_45_0[8] = { 0 };
    char string_eq_const_46_0[5] = { 0 };
    char string_eq_const_47_0[6] = { 0 };
    char string_eq_const_48_0[3] = { 0 };
    char string_eq_const_49_0[7] = { 0 };
    char string_eq_const_50_0[7] = { 0 };
    char string_eq_const_51_0[8] = { 0 };
    char string_eq_const_52_0[7] = { 0 };
    char string_eq_const_53_0[7] = { 0 };
    char string_eq_const_54_0[7] = { 0 };
    char string_eq_const_55_0[3] = { 0 };
    char string_eq_const_56_0[4] = { 0 };
    char string_eq_const_57_0[3] = { 0 };
    char string_eq_const_58_0[4] = { 0 };
    char string_eq_const_59_0[8] = { 0 };
    char string_eq_const_60_0[6] = { 0 };
    char string_eq_const_61_0[7] = { 0 };
    char string_eq_const_62_0[5] = { 0 };
    char string_eq_const_63_0[4] = { 0 };

    if (size < 276)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&string_eq_const_0_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_1_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_2_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_3_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_4_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_5_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_6_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_7_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_8_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_9_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_10_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_11_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_12_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_13_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_14_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_15_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_16_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_17_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_18_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_19_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_20_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_21_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_22_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_23_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_24_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_25_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_26_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_27_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_28_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_29_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_30_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_31_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_32_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_33_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_34_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_35_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_36_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_37_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_38_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_39_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_40_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_41_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_42_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_43_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_44_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_45_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_46_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_47_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_48_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_49_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_50_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_51_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_52_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_53_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_54_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_55_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_56_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_57_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_58_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_59_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_60_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_61_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_62_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_63_0, &data[i], 3);
    i += 3;


    if (strcmp(string_eq_const_0_0, "_1]I{v'") == 0)
    if (strcmp(string_eq_const_1_0, "|eA-//") == 0)
    if (strcmp(string_eq_const_2_0, "2xj") == 0)
    if (strcmp(string_eq_const_3_0, "k4BUA6p") == 0)
    if (strcmp(string_eq_const_4_0, "V@,_vQ") == 0)
    if (strcmp(string_eq_const_5_0, "^1f") == 0)
    if (strcmp(string_eq_const_6_0, "yM") == 0)
    if (strcmp(string_eq_const_7_0, "V%I&HT") == 0)
    if (strcmp(string_eq_const_8_0, "mGT") == 0)
    if (strcmp(string_eq_const_9_0, "VBgR<") == 0)
    if (strcmp(string_eq_const_10_0, "Ll") == 0)
    if (strcmp(string_eq_const_11_0, "Nm-") == 0)
    if (strcmp(string_eq_const_12_0, "3#~") == 0)
    if (strcmp(string_eq_const_13_0, "gt") == 0)
    if (strcmp(string_eq_const_14_0, "}e~") == 0)
    if (strcmp(string_eq_const_15_0, "VY:nUZ") == 0)
    if (strcmp(string_eq_const_16_0, "Iw8)92B") == 0)
    if (strcmp(string_eq_const_17_0, "N4o") == 0)
    if (strcmp(string_eq_const_18_0, "lR9") == 0)
    if (strcmp(string_eq_const_19_0, "EF@c`wp") == 0)
    if (strcmp(string_eq_const_20_0, "OI") == 0)
    if (strcmp(string_eq_const_21_0, "}*+3uu") == 0)
    if (strcmp(string_eq_const_22_0, "G?{") == 0)
    if (strcmp(string_eq_const_23_0, "I;<") == 0)
    if (strcmp(string_eq_const_24_0, "f2") == 0)
    if (strcmp(string_eq_const_25_0, "3A") == 0)
    if (strcmp(string_eq_const_26_0, "%<uc{") == 0)
    if (strcmp(string_eq_const_27_0, "1526z") == 0)
    if (strcmp(string_eq_const_28_0, "Q0uF") == 0)
    if (strcmp(string_eq_const_29_0, ">P") == 0)
    if (strcmp(string_eq_const_30_0, "wmP|") == 0)
    if (strcmp(string_eq_const_31_0, "^~wf") == 0)
    if (strcmp(string_eq_const_32_0, "99f20") == 0)
    if (strcmp(string_eq_const_33_0, "rfb") == 0)
    if (strcmp(string_eq_const_34_0, "bm9F0") == 0)
    if (strcmp(string_eq_const_35_0, "(A[") == 0)
    if (strcmp(string_eq_const_36_0, "&>T}N") == 0)
    if (strcmp(string_eq_const_37_0, "7Vj5") == 0)
    if (strcmp(string_eq_const_38_0, "2cmQHE;") == 0)
    if (strcmp(string_eq_const_39_0, "5ZnZ' ") == 0)
    if (strcmp(string_eq_const_40_0, "y!") == 0)
    if (strcmp(string_eq_const_41_0, "qYP:U$") == 0)
    if (strcmp(string_eq_const_42_0, "Va'") == 0)
    if (strcmp(string_eq_const_43_0, "{}ZTJ#") == 0)
    if (strcmp(string_eq_const_44_0, " 8") == 0)
    if (strcmp(string_eq_const_45_0, "74+gAp<") == 0)
    if (strcmp(string_eq_const_46_0, "eP0<") == 0)
    if (strcmp(string_eq_const_47_0, "y'o+8") == 0)
    if (strcmp(string_eq_const_48_0, "UD") == 0)
    if (strcmp(string_eq_const_49_0, "jUTFe3") == 0)
    if (strcmp(string_eq_const_50_0, "o!DMx8") == 0)
    if (strcmp(string_eq_const_51_0, ":,cl{/d") == 0)
    if (strcmp(string_eq_const_52_0, "t/J+0q") == 0)
    if (strcmp(string_eq_const_53_0, "J,tb/6") == 0)
    if (strcmp(string_eq_const_54_0, "sS[ !=") == 0)
    if (strcmp(string_eq_const_55_0, "_9") == 0)
    if (strcmp(string_eq_const_56_0, ";XB") == 0)
    if (strcmp(string_eq_const_57_0, "H_") == 0)
    if (strcmp(string_eq_const_58_0, "S=P") == 0)
    if (strcmp(string_eq_const_59_0, "KXn_k>%") == 0)
    if (strcmp(string_eq_const_60_0, "[c'; ") == 0)
    if (strcmp(string_eq_const_61_0, "U>!Doz") == 0)
    if (strcmp(string_eq_const_62_0, "O7-m") == 0)
    if (strcmp(string_eq_const_63_0, "4,3") == 0)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
